> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# `GET /api/v1/loyalty/programs`

> `GET /api/v1/loyalty/programs`

### Query parameters

<ParamField query="limit" type="integer (int32)">
  Maximum number of results to return (default: 50).
</ParamField>

<ParamField query="offset" type="integer (int32)">
  Number of results to skip (default: 0).
</ParamField>

### Responses

<ResponseField name="200" type="LoyaltyProgramListResponse">
  List of loyalty programs
</ResponseField>

<ResponseField name="400" type="ErrorBody">
  Invalid filter parameter
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/loyalty/programs' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "has_more": true,
    "limit": 1,
    "offset": 1,
    "programs": [
      {
        "created_at": "2026-07-24T12:00:00Z",
        "description": "string",
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "is_active": true,
        "name": "string",
        "points_per_dollar": 1,
        "updated_at": "2026-07-24T12:00:00Z"
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
